USE [HelpDesk01_Dat]
GO

SET ANSI_NULLS ON
SET QUOTED_IDENTIFIER ON

IF NOT EXISTS(SELECT * FROM INFORMATION_SCHEMA.COLUMNS WHERE  TABLE_NAME = 'tblTask' AND COLUMN_NAME = 'Tasks___Due_Date' )
	ALTER TABLE [dbo].[tblTask] ADD [Tasks___Due_Date] [datetime] NULL;
GO

IF NOT EXISTS(SELECT * FROM INFORMATION_SCHEMA.COLUMNS WHERE  TABLE_NAME = 'tblTask' AND COLUMN_NAME = 'Tasks___Support_Team' )
	ALTER TABLE [dbo].[tblTask] ADD [Tasks___Support_Team] [int] NULL;
GO

IF NOT EXISTS(SELECT * FROM INFORMATION_SCHEMA.COLUMNS WHERE  TABLE_NAME = 'tblTask' AND COLUMN_NAME = 'Tasks___Task_Completion_Date' )
	ALTER TABLE [dbo].[tblTask] ADD [Tasks___Task_Completion_Date] [datetime] NULL;
GO

IF NOT EXISTS(SELECT * FROM INFORMATION_SCHEMA.COLUMNS WHERE  TABLE_NAME = 'tblTask' AND COLUMN_NAME = 'Tasks___Dependency' )
	ALTER TABLE [dbo].[tblTask] ADD [Tasks___Dependency] [int] NULL;
GO

IF NOT EXISTS(SELECT * FROM INFORMATION_SCHEMA.COLUMNS WHERE  TABLE_NAME = 'tblTask' AND COLUMN_NAME = 'Tasks___Task_Completion_Notes' )
	ALTER TABLE [dbo].[tblTask] ADD [Tasks___Task_Completion_Notes] [nvarchar](max) NULL;
GO

IF NOT EXISTS(SELECT * FROM INFORMATION_SCHEMA.COLUMNS WHERE  TABLE_NAME = 'tblTask' AND COLUMN_NAME = 'Tasks___Task_Status' )
	ALTER TABLE [dbo].[tblTask] ADD [Tasks___Task_Status] [int] NULL;
GO


